API Reference
Create QR Code
Creates a dynamic QR code for a given URL. The QR code is generated server-side and available in PNG, SVG, and PDF formats. Only link-type QR codes are supported.
POST
QR code content and settings
application/json- body
custom_slug?stringYour preferred custom slug. If not provided, a random slug will be generated.
Length
length <= 255domain?stringThe domain to use for the QR code short URL. If not provided, the default domain is used.
Length
length <= 255target_url*stringThe destination URL the QR code points to (required)
Length
length <= 2048title*stringA descriptive title for this QR code (required)
Length
length <= 255OK
application/json- response
code?integerdata?message?stringcurl -X POST 'https://s.ee/api/v1/qrcode' \ -H 'Authorization: string' \ -H 'Content-Type: application/json' \ -d '{ "target_url": "string", "title": "string"}'Example Response200
{ "code": 0, "data": { "custom_slug": "string", "pdf_url": "string", "png_url": "string", "short_url": "string", "slug": "string", "svg_url": "string" }, "message": "string"}